## EDataBookFactory EDataBookFactory — The main addressbook server object |

## Functions

EDBusServer * | e_data_book_factory_new ()

## Types and Values

#define | EDS_ADDRESS_BOOK_MODULES
struct | EDataBookFactory
struct | EDataBookFactoryClass

## Includes

    #include <libedata-book/libedata-book.h>

## Description

This class handles incomming D-Bus connections and creates the EDataBook layer for server side addressbooks to communicate with client side EBookClient objects.

## Functions

### e_data_book_factory_new ()

    EDBusServer *
    e_data_book_factory_new (GCancellable *cancellable,
                             GError **error);

## Types and Values

### EDS_ADDRESS_BOOK_MODULES

    #define EDS_ADDRESS_BOOK_MODULES "EDS_ADDRESS_BOOK_MODULES"

This environment variable configures where the address book factory loads it's backend modules from.

### struct EDataBookFactory

    struct EDataBookFactory {
    	EDataFactory parent;
    	EDataBookFactoryPrivate *priv;
    };

### struct EDataBookFactoryClass

    struct EDataBookFactoryClass {
    	EDataFactoryClass parent_class;
    };